<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY exempi-download-http "https://libopenraw.freedesktop.org/download/exempi-&exempi-version;.tar.xz">
  <!ENTITY exempi-download-ftp  " ">
  <!ENTITY exempi-md5sum        "51fe14c2a5fa44816ba8187c6ad87d78">
  <!ENTITY exempi-size          "2.7 MB">
  <!ENTITY exempi-buildsize     "289 MB (add 236 MB for tests)">
  <!ENTITY exempi-time          "0.4 SBU (add 0.6 SBU for tests; both using parallelism=4)">
]>

<sect1 id="exempi" xreflabel="Exempi-&exempi-version;">
  <?dbhtml filename="exempi.html"?>


  <title>Exempi-&exempi-version;</title>

  <indexterm zone="exempi">
    <primary sortas="a-Exempi">Exempi</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Exempi</title>

    <para>
      <application>Exempi</application> is an implementation of XMP (Adobe's
      Extensible Metadata Platform).
    </para>

    &lfs123_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&exempi-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&exempi-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &exempi-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &exempi-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &exempi-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &exempi-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Exempi Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="boost"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="required">
      <xref linkend="valgrind"/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Exempi</title>

    <para>
      If you intend to run the regression tests, first remove a test
      that depends on a proprietary Adobe SDK:
    </para>

<screen><userinput>sed -i -r '/^\s?testadobesdk/d' exempi/Makefile.am &amp;&amp;
autoreconf -fiv</userinput></screen>


    <para>
      Install <application>Exempi</application> by running the following
      commands:
    </para>

<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
make</userinput></screen>

    <para>
      To test the results, issue: <command>make check</command>.<!--
      If valgrind is installed, mosts tests will indicate a failure, but
      that is a test problem and not a package problem.-->
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/static-libraries.xml"/>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>exempi</seg>
        <seg>libexempi.so</seg>
        <seg>/usr/include/exempi-2.0</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

     <varlistentry id="exempi-prog">
        <term><command>exempi</command></term>
        <listitem>
          <para>
            is a command line tool to manipulate XMP metadata
          </para>
          <indexterm zone="exempi exempi-prog">
            <primary sortas="b-exempi">exempi</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libexempi">
        <term><filename class="libraryfile">libexempi.so</filename></term>
        <listitem>
          <para>
            is a library used to parse XMP metadata
          </para>
          <indexterm zone="exempi libexempi">
            <primary sortas="c-libexempi">libexempi.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
